// import 'package:flutter/services.dart';
// import 'package:flutter_test/flutter_test.dart';

import 'package:difficulty_toggle/difficulty_toggle.dart';
import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  testWidgets('DifficultyToggle has all values', (WidgetTester tester) async {
    await tester.pumpWidget(
      MaterialApp(
        home: Scaffold(
          body: Center(
            child: Container(
              padding: EdgeInsets.all(4.0),
              child: DifficultyToggle(
                startingDifficulty: 'easy',
                onValueClick: (val) => print(val),
              ),
            ),
          ),
        ),
      ),
    );

    final easyFinder = find.text('Easy');
    final mediumFinder = find.text('Medium');
    final hardFinder = find.text("Hard");

    expect(easyFinder, findsOneWidget);
    expect(mediumFinder, findsOneWidget);
    expect(hardFinder, findsOneWidget);
  });
}
